import { EditorView } from "@codemirror/view";
export interface ReadOnlyConfiguration {
    enabled?: boolean;
}
export declare function readOnly(config?: ReadOnlyConfiguration): import("@codemirror/state").Extension;
/**
 * Set read-only mode
 */
export declare function applyReadOnly(view: EditorView, readOnly: boolean): void;
